Run a check now
const options = {method: 'POST'};
fetch('https://ownsi.dev/api/verifications/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://ownsi.dev/api/verifications/{id}/runs{
"id": "<string>",
"claimId": "<string>",
"method": "dns_txt",
"status": "checking",
"lastOutcome": "found",
"diagnosis": {
"code": "domain_appended",
"cause": "<string>",
"fix": "<string>",
"awaits": "claimant",
"observed": {
"name": "<string>"
}
},
"waitEstimate": {
"reason": "first_check",
"secondsRemaining": 123
},
"lastRunAt": "<string>",
"nextRunAt": "<string>",
"deadline": "<string>",
"createdAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}Run a check now
Reads DNS now instead of waiting for the next scheduled run, and answers with what the read found: the proof, or the named reason the record is not there.
POST
/
api
/
verifications
/
{id}
/
runs
Run a check now
const options = {method: 'POST'};
fetch('https://ownsi.dev/api/verifications/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://ownsi.dev/api/verifications/{id}/runs{
"id": "<string>",
"claimId": "<string>",
"method": "dns_txt",
"status": "checking",
"lastOutcome": "found",
"diagnosis": {
"code": "domain_appended",
"cause": "<string>",
"fix": "<string>",
"awaits": "claimant",
"observed": {
"name": "<string>"
}
},
"waitEstimate": {
"reason": "first_check",
"secondsRemaining": 123
},
"lastRunAt": "<string>",
"nextRunAt": "<string>",
"deadline": "<string>",
"createdAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}Path Parameters
Minimum string length:
1Response
Response for status 200
Allowed value:
"dns_txt"Available options:
checking, propagating, needs_attention, proved, exhausted, stopped Available options:
found, absent, unresolvable - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Show child attributes
Show child attributes
Show child attributes
Show child attributes